Bug 1414804 - systemd-tmpfiles-setup hangs during boot if /home is an auto-mounted NFS mount
Summary: systemd-tmpfiles-setup hangs during boot if /home is an auto-mounted NFS mount
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 13:59 UTC by Till Hofmann
Modified: 2017-12-12 10:50 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:50:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Till Hofmann 2017-01-19 13:59:59 UTC
Description of problem:
In our setup, /home is an NFS mount that is auto-mounted:

nfsserver:/home /home nfs4 rw,soft,sec=sys,noauto,x-systemd.automount 0 0

This worked on F23. With the upgrade to F25, systemd-tmpfiles-setup hangs indefinitely during boot.

I assume this is because /home is configured as a tmpdir in /usr/lib/tmpfiles.d/home.conf.

Making /home a normal mount point without automount (i.e. remove noauto,x-systemd.automount) fixes the issue.

Version-Release number of selected component (if applicable):
systemd-231-12

How reproducible:
not sure

Steps to Reproduce:
1. Add an NFS automount for /home (cf. above)
2. reboot

Actual results:
systemd-tmpfiles-setup hangs indefinitely. The system does not finish booting.

Additional info:
This is a machine directly upgraded from F23 to F25, but I don't think this is related to the upgrade.

Expected results:
The system boots normally.

Comment 1 Till Hofmann 2017-01-19 14:12:04 UTC
The issue does not appear when /home is a local automount. In that case, automount is triggered by systemd-tmpfile:
home.automount: Got automount request for /home, triggered by 961 (systemd-tmpfile)

Looking at system-tmpfiles-setup's service file, I can see that it contains the ordering dependency "After=local-fs.target", but nothing similar for remote fs. Is there an ordering dependency missing?

Comment 2 Chris Paras 2017-05-27 14:38:55 UTC
I had the same problem with a remote nfs /home mount. According to the tmpfiles.d manpage, you can put a symlink to /dev/null in /etc/tmpfiles.d/ to override the corresponding config file in /usr/lib/tmpfiles.d/ . Here's an excerpt from the tmpfiles.d manpage :

"If the administrator wants to disable a configuration file supplied by the vendor, the recommended way is to place a symlink to /dev/null in /etc/tmpfiles.d/ bearing the same filename."


So i did this :

ln -s /dev/null /etc/tmpfiles.d/home

I consider this a temporary solution, e.g. workaround. Your suggestion considering the ordering dependencies seems like something to look into.

Comment 3 Michael Biebl 2017-07-05 10:59:17 UTC
See upstream bug report https://github.com/systemd/systemd/issues/1959

Comment 4 Fedora End Of Life 2017-11-16 19:05:37 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:50:53 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.